rott (1.1.2+svn287-2) unstable; urgency=medium

  * Show a dialog box if files are missing. Based on patches and
    wordings by Alexandre Detiste, thank you very much (Closes: #790407).
    + Replace the unhelpful "W_InitFiles: no files found" error message
      with instructions to read README.Debian.
    + Improve README.Debian with clear instructions on how to use
      game-data-packager to locate/download the game data, build the
      possible rott-*-data Debian package(s), and install it/them.
    + Add "Suggests: zenity | kde-baseapps-bin | x11-utils | libnotify-bin"
      for the supported dialog box applications.
  * Do not recommend any soundfont at all, leave this to the
    libsdl-mixer1.2 package.
  * Update Uploaders field and Debian packaging copyright with my
    <fabian@debian.org> address.
  * Remove rott.menu file and icons in XPM and PNG formats, install upstream's
    SVG icon.
  * Fix the rott.desktop file.
    + Remove hard-coded fullscreen mode and resolution.
    + Add keywords.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Oct 2015 09:09:40 +0200

rott (1.1.2+svn287-1) unstable; urgency=medium

  * New upstream SVN snapshot.
    + Remove all patches that were applied upstream.
    + Upstream switched build system to Autotools, add
      "Build-Depends: dh-autoreconf" and adapt debian/rules accordingly.
  * Add debian/README.source file to document how the Debian source
    tarball was created, add debian/gbp.conf file to force xz compression.
  * Bump Standards-Version to 3.9.6.
  * Move g-d-p from Depends to Recommends, drop virtual rott-data package from
    alternative dependencies.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 11 May 2015 14:23:27 +0200

rott (1.1.2-3) unstable; urgency=medium

  * Make the "commercial" variant recognize all supported
    multiplayer map files and set 'gamestate.Product' accordingly.
    This saves us from building the SUPERROTT and SITELICENSE variants
    which had their multiplayer map file names hard-coded.
    Adjust documentation and packaging accordingly.
  * Fix missing fog on level Foggy Mountain (Closes: #775530).
    Light level is calculated based on scaled texture and sprite height
    and is thus resolution-dependent, fix special-casing for fog.
    Thanks Alexandre Detiste for the bug report!
  * Fix scaling of the weapon sprite.
  * Fix scaling of the sky texture.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 30 Apr 2015 16:15:21 +0200

rott (1.1.2-2) unstable; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * Remove "Recommends: timidity" and the corresponding advice in
    debian/README.Debian. Installing any package containing a soundfont
    should be sufficient for music playback to work (see #498984).
  * Run "wrap-and-sort -asb".
  * Fix a segfault in the Darian level, original bug report and patch
    by Luc Habert (Closes: #700977).
  * Color crosshair by player health.
  * Replace the icon with a self-drawn alternative in three different
    formats and provide a reproduction rule in debian/rules.
  * Enable parallel builds.
  * Correctly append to CFLAGS in debian/rules.
  * Fix conflicting types in variable declarations (Closes: #751510),
    thanks Michael Tautschnig.

  [ Stephen Kitt ]
  * Drop obsolete Lintian override; rott-sitelicense is no longer
    detected as an extra license file.
  * Use the canonical 1.0 copyright format URI.
  * Standards-Version 3.9.5, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 Jun 2014 07:14:21 +0200

rott (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2
  * Update Vcs-* fields.
  * Remove all patches applied upstream.
  * Adapt debian/rules to the new build system.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 21 Feb 2012 11:56:38 +0100

rott (1.1.1-7) UNRELEASED; urgency=low

  * Clarify relation to game-data-packager and its generated
    packages in debian/control.
  * Export CFLAGS for them to take effect as per dpkg (>= 1.16.1).
  * Update Vcs-Browser field in debian/control.
  * Remove obsolete 00-disable-audiolib.patch and 00-ludicrous-gibs.patch.
  * Bump debhelper compatibility to v9.
  * Fix format string vulnerabilities.
  * Update patches and header information.
  * Update debian/copyright to comply to DEP-5.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 15 Feb 2012 13:45:37 +0100

rott (1.1.1-6) unstable; urgency=low

  * bump version for dak (I fumbled the last upload)

 -- Jon Dowland <jmtd@debian.org>  Thu, 24 Mar 2011 15:47:04 +0000

rott (1.1.1-5) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add "Recommends: game-data-packager (>= 24)" and
    move rott-data to Suggests.
  * On remove, if rott-data is installed, delete all files
    that are not in rott-data, delete the whole directory else.
  * Remove debian/rott.dirs, don't claim the /usr/share/games/rott
    directory for this package anymore, it belongs to rott-data.

  [ Jon Dowland ]
  * restore prerm/postinst for alternative. Whoops! That's what
    experimental is for, folks!

 -- Jon Dowland <jmtd@debian.org>  Wed, 23 Mar 2011 12:53:28 +0000

rott (1.1.1-4) experimental; urgency=low

  [ Fabian Greffrath ]
  * Add Japanese po-debconf template translation,
    thanks Hideki Yamane <henrich@debian.org> (Closes: #599886).
  * Build all four variants of the game: Shareware Version, Commercial Version,
    CD Version and Site License CD Version (LP: #511810).
  * Handle variants via update-alternatives, document this in the manual page
    and in README-Debian, add symlinks for the manual pages.
  * Add lintian overrides for desktop-command-not-in-package
    and menu-command-not-in-package.
  * Fix another typo (parameter) spotted by lintian.
  * Remove the debug package, it has never been of any use.
  * Update Standards-Version and debhelper compat.
  * Make sure object files get rebuilt whenever develop.h is changed.

  [ Jon Dowland ]
  * add Recommends: rott-data (to be provided by packages generated
    by game-data-packager)

 -- Jon Dowland <jmtd@debian.org>  Sun, 16 Jan 2011 23:49:32 +0000

rott (1.1.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #564185
    - Danish (Joe Hansen).  Closes: #583962

 -- Christian Perrier <bubulle@debian.org>  Thu, 03 Jun 2010 07:38:48 +0200

rott (1.1.1-3) unstable; urgency=low

  [ Fabian Greffrath ]
  * Converted from cdbs to debhelper 7.3.
  * Updated my email address.
  * debian/patches/01-demo-datadir.patch: New patch, enable
    playback of demo files in DATADIR.
  * Converted packaging to source format "3.0 (quilt)".

  [ Evgeni Golov ]
  * debian/control:
    + Standards-Version: 3.8.3, no changes needed.
  * debian/patches/02-persistent-typo.patch:
    + Fix typo spotted by lintian.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 21 Dec 2009 14:38:16 +0100

rott (1.1.1-2) unstable; urgency=low

  * debian/rott.postinst:
    3drealms plays ping-pong with us, moved the zip to old location again.
    Lets try both locations before failing.
    Closes: #536536, LP: #395048

 -- Evgeni Golov <evgeni@debian.org>  Fri, 17 Jul 2009 00:03:11 +0200

rott (1.1.1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * New upstream release.
  * debian/patches/01-gameover.patch,
    debian/patches/02-fix-end-level-display.patch,
    debian/patches/03-desktop-file.patch,
    debian/patches/10-german-eszett-as-backslash.patch,
    debian/patches/11-add-nosound-to-manpage.patch:
    + Removed, applied upstream.
  * debian/rules:
    + Added -Wno-pointer-sign and -Wno-unused to CFLAGS.

  [ Evgeni Golov ]
  * debian/control:
    + Standards-Version: 3.8.2, no changes needed.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 02 Jul 2009 08:39:58 +0200

rott (1.1-3) unstable; urgency=low

  * debian/rott.postinst:
    + The shareware zip is now in pub/share/ on the ftp, fix the download link.
      Closes: #530570, LP: #305779.
  * debian/patches/11-add-nosound-to-manpage.patch:
    + Add the nosound option to the manpage.
  * debian/control:
    + Add myself to Uploaders.
    + Standards-Version: 3.8.1, no changes. 
    + rott-dbg goes to contrib/debug, not contrib/devel.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 09 Jun 2009 10:38:11 +0200

rott (1.1-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/*, debian/README.Debian:
    + Refreshed, renamed and commented all patches.
  * debian/patches/00-ludicrous-gibs.patch:
    + New patch to enable EKG mode by default, requires cheating
      otherwise, disabled in debian/patches/series.
  * debian/patches/03-desktop-file.patch, debian/rott.install:
    + New patch to add a generic rott.desktop file into the misc/ directory.
  * debian/rott.menu:
    + Changed to match rott.desktop.
  * debian/control, debian/rott.postinst:
    + Accept p7zip-full as an alternative to unzip to extract the shareware
      zip files.
  * debian/README.Debian:
    + Explained more detailed how to build the registered version of ROTT.
    + Described how to work around game hangs like the one described in #498413.
  * debian/control:
    + Fixed "binary-control-field-duplicates-source section in package rott".
  * debian/changelog:
    + Simplified, it's all GPL after all.
  * debian/po/gl.po:
    + Updated the Galician translation of the debconf template
      (Closes: #512692), thanks Marce Villarino <mvillarino@gmail.com>.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Mon, 16 Feb 2009 13:16:00 +0100

rott (1.1-1) experimental; urgency=low

  * New upstream release.
    + Uploaded to experimental due to the Lenny freeze.
  * debian/copyright:
    + Converted into machine-readable format.
    + Added further copyright holders.
    + Sourceless binary files have been removed upstream.
  * debian/control:
    + Bumped Standards-Version to 3.8.0.
    + Re-added rott-dbg package.
    + Promoted freepats and timidity to Recommends (Closes: #498984).
  * debian/manpage/, debian/patches/, debian/pixmap/:
    + Removed previous patchset, all applied upstream.
  * debian/patches/rott-1.1-disable-audiolib.patch:
    + Reverting parts of upstream r218 to disable audiolib,
      for testing purposes, disabled in debian/patches/series.
  * debian/patches/rott-1.1-registered-version.patch:
    + Updated from the previous rott-1.0-registered.patch,
      disabled in debian/patches/series.
  * debian/patches/german-eszett-as-backslash.patch:
    + New patch, accept the German eszett as a backslash key.
  * debian/patches/svn-r240-gameover.patch:
    + New patch from Hans de Goede to fix corrupted "Game Over" screen
      in resolutions higher than 320x200.
  * debian/patches/svn-r241-fix-end-level-display.patch:
    + New patch from Hans de Goede to fix empty game statistics screen
      after finishing a level in resolutions higher than 320x200.
  * debian/README.Debian, debian/patches/series:
    + Changed to reflect new patch names.
  * debian/README.Debian, debian/rules:
    + Removed get-orig-source rule.
  * debian/README.source:
    + Added due to Policy 3.8.0.
  * debian/rott.docs, debian/rott.install, debian/rott.manpages:
    + Adopted to new source directory structure.
  * debian/rott.postinst:
    + Change data file permissions to 0644.
  * debian/rules:
    + Set DEB_BUILDDIR := rott.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Sun, 14 Sep 2008 14:15:00 +0100

rott (1.0+dfsg-3) UNRELEASED; urgency=low

  * debian/control, debian/compat:
    + Set Maintainer to Debian Games Team and added myself to Uploaders.
    + Added Vcs-Svn and Vcs-Browser fields.
    + Bumped Build-Depends to cdbs (>= 0.4.52) and debhelper (>= 6.0.7).
    + Added rott-dbg package.
  * debian/{config,dirs,docs,install,manpages,menu,postinst,prerm}:
    + Renamed to debian/rott.*.
  * debian/copyright:
    + Mentioned deletion of two sourceless binary files.
    + Substituted '(C)' for '©'.
  * debian/install:
    + Removed debian/lintian/rott.
  * debian/rules:
    + Added get-orig-source rule.
  * debian/README.Debian:
    + Documented how to use the registered version of ROTT.
    + Indented paragraphs.
  * debian/rott.menu:
    + Set resolution to 800x600.
  * debian/lintian/rott:
    + Renamed to debian/rott.lintian-overrides.
  * debian/manpage/rott.6:
    + Added new options: aim, fullscreen, window and resolution.

  * debian/control, debian/rules, debian/patches/*:
    + Switched from dpatch to quilt.
  * debian/patches/*:
    + Dropped the entire previous patchset in favour of the Fedora patchset
      <http://cvs.fedoraproject.org/viewcvs/devel/rott/> courtesy of
      Hans de Goede <j.w.r.degoede at hhs.nl>.
  * debian/patches/rott-1.0-winrott-fixes.patch:
    + Adopted changes to rott-1.0/README to the -p2 patch level.
  * debian/patches/rott-1.0-debian-specific.patch:
    + New patch. Added overridable CFLAGS and custom data path to stay on par
      with the previous Debian patchset.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Wed, 23 Apr 2008 17:00:00 +0100

rott (1.0+dfsg-2) unstable; urgency=low

  * debian/patches/01-custom-datapath.dpatch,
    debian/patches/13-improve-makefile.dpatch:
    + Changed DATADIR back to "/usr/share/games/rott/".

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Sun, 27 Jan 2008 20:00:00 +0100

rott (1.0+dfsg-1) unstable; urgency=low

  * Rebuilt source tarball.
    + Removed sourceless binary files:
      - rott/audio_wf.lib
      - rott/spball.lib
    + Moved documentation into the rott/ directory.
    + Packaged only the rott/ directory.
    + See README.Debian.

  * debian/changelog:
    + Rephrased previous changelog entry.
  * debian/control:
    + Added Build-Depends on cdbs.
    + Bumped Standards-Version to 3.7.3.
  * debian/docs, debian/patches/*:
    + Adjusted to new source directory structure.
  * debian/install, debian/README.Debian:
    + Added.
  * debian/rules:
    + Converted Debian packaging to CDBS.
  * debian/lintian/rott:
    + Added to override 'package-contains-empty-directory'.
  * debian/patches/11-new-fix32.dpatch:
    + Improved to build on big-endian architectures.
  * debian/pixmaps/rott.xpm:
    + Posterized to 34 colors.
  * debian/po/fi.po:
    + Added Finnish translation of the debconf templates (Closes: #456953).

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Fri, 11 Jan 2008 17:00:00 +0100

rott (1.0-5) unstable; urgency=low

  * debian/control:
    + Added 'Homepage:' control field.
    + Added 'Suggests: freepats, timidity' for music playback.
  * debian/rules:
    + Pass CFLAGS over to $(MAKE).
    + Patch before clean, unpatch after clean.
    + Do not manually remove 'rott/rott' anymore (see patch #13).
  * debian/manpage/rott.6:
    + Removed description of soundsetup option (see patch #21).

  * debian/patches/10-32bitisms.dpatch:
    + Dropped in favour of a series of patches courtesy of Michael Karcher
     <debian@mkarcher.dialup.fu-berlin.de>:
  * debian/patches/11-new-fix32.dpatch:
    + Fixes assumptions about sizes of integral types. Important for
      64 bit architectures (see patch #14).
  * debian/patches/12-fix-char-byte.dpatch:
    + Makes signed/unsigned chars more consistent to suppress compiler
      warnings. No functional change.
  * debian/patches/13-improve-makefile.dpatch:
    + Makes CFLAGS overridable and removes executable on clean.
  * debian/patches/14-fix-modex-ptr.dpatch:
    + Cleans up use of integers instead of pointers to hold the base
      address of the frame buffer (see patch #11, Closes: #419035).
  * debian/patches/16-fix-random-actors.dpatch:
    + Fix direction of random opponents.
  * debian/patches/17-no-newline-in-addmessage.dpatch:
    + Remove unsupported newlines from game messages. Important unless
      signed character fix from 18-fix-drawichar is applied.
   (+ Applied instead of upstream SVN commit 220.)
  * debian/patches/18-fix-drawichar.dpatch:
    + Fix cast for indexing an array with a character.
  * debian/patches/19-playerarrow.dpatch:
    + Modify DrawMap_PlayerArrow to avoid a off-by-one bug trying to
      access scanline 201.
  * debian/patches/20-printf-no-long.dpatch:
    + Change tons of printf format strings to not use the "l" modifier
      when printing "int" or even "byte" variables.
    + Also add gcc's format attribute to printf-like functions and
      make Error() a noreturn function.
  * debian/patches/21-no-soundsetup.dpatch:
    + Disable sound setup except on DOS.

  * Applied another series of patches from upstream SVN:
  * debian/patches/30-svn-210.dpatch:
    + Implement missing UL_ChangeDirectory.
  * debian/patches/31-svn-211.dpatch:
    + Add keyboard updates.
  * debian/patches/33-svn-213.dpatch:
    + Add some missing include guards.
  * debian/patches/35-svn-215ab.dpatch:
    + Sparc fixes from Damian M Gryski <dgryski@uwaterloo.ca>.
    + Force `size' to be a multiple of 4 in Z_Malloc
      to prevent unaligned access (SIGBUS).
    + Prevent SIGBUS in ConvertStringToPasswordString.
  * debian/patches/36-svn-216.dpatch:
    + Replace FixedMul with one from Dan that optimizes better.
  * debian/patches/37-svn-217c.dpatch:
    + Change AUDIO_S16 to AUDIO_S16SYS in rott/fx_man.c.
  * debian/patches/39-svn-219.dpatch:
    + Another attempt at restoring the original EKG mode.
  * debian/patches/41-svn-221.dpatch:
    + Fix an incorrect array access.
   (+ Applied instead of Michael Karcher's patch #15.)

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Sat, 29 Nov 2007 09:45:00 +0200

rott (1.0-4) unstable; urgency=low

  * debian/patches/10-32bitisms.dpatch:
    + New patch to lower the severity of #419035.
      Thanks, Dmitry V. Rutsky <circuit-breaker@yandex.ru>!
    + ROTT no longer crashes on start on AMD64.
    + Remaining issues: Sound works, but music is just a loud humming.
      Loading a game produces a segfault.
  * debian/menu:
    + Adjusted to the new menu structure.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Sat,  1 Sep 2007 09:39:00 +0200

rott (1.0-3) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #422184
  * Debconf translation updates:
    - Swedish. Closes: #422779,#420259
    - Czech. Closes: #422810
    - Galician. Closes: #422832
    - Portuguese. Closes: #422903
    - Tamil. Closes: #423077
    - Russian. Closes: #423225
    - French. Closes: #423491
    - Brazilian Portuguese. Closes: #425587
    - Dutch. Closes: #425709
    - German. Closes: #425892

  [ Fabian Greffrath ]
  * debian/control:
    + Fixed indentation of Homepage line.
  * debian/rules:
    + Do not change directories, call MAKE with optional -C instead.
  * debian/patches/01-custom-datapath.dpatch:
    + Added ifdef for DATADIR.
  * debian/po/fr.po:
    + s/root/rott/ .
  * Thanks to Christian Perrier <bubulle@debian.org> and all translators!

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Tue, 29 May 2007 13:04:29 +0200

rott (1.0-2) unstable; urgency=low

  * debian/postinst:
    + Fixed bashism (Closes: #418695).
  * debian/patches/05-big.endian-fix-dpatch:
    + New patch: Fixes sprite errors on powerpc (Closes: #418698).
      Thanks, Filippo Giunchedi <filippo@debian.org>!
  * debian/patches/06-touchplate-fix.dpatch:
    + New patch: Fixes crashes when stepping on some touchplates.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Fri, 13 Apr 2007 00:00:00 +0100

rott (1.0-1) unstable; urgency=low

  * Initial release (Closes: #412063).
  * Removed CVS directory from source tarball (thanks lintian).

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Mon,  1 May 2006 00:00:00 +0100
